> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Intercompany Journal Entry

> 
        Creates a new intercompany journal entry

        This endpoint allows for complex multi-entity transactions where:
        - Transactions are balanced across different entities
        - Exchange rates are handled for multi-currency transactions

        Key requirements:
        - Total debits must equal total credits for each entity (debit_amount_native must equal credit_amount_native)
        - Cannot create entries before closed book dates
        - All referenced accounts must be active
        - Exchange rates must be provided for all currency conversions (native to book, book to consolidation)
        



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /coa/api/intercompany-journal-entry
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/intercompany-journal-entry:
    post:
      tags:
        - Core Accounting
      summary: Create Intercompany Journal Entry
      description: |2-

                Creates a new intercompany journal entry

                This endpoint allows for complex multi-entity transactions where:
                - Transactions are balanced across different entities
                - Exchange rates are handled for multi-currency transactions

                Key requirements:
                - Total debits must equal total credits for each entity (debit_amount_native must equal credit_amount_native)
                - Cannot create entries before closed book dates
                - All referenced accounts must be active
                - Exchange rates must be provided for all currency conversions (native to book, book to consolidation)
                
      operationId: coa_api_intercompany_journal_entry_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntercompanyJournalEntry'
            examples:
              IntercompanyJournalEntryRequest:
                value:
                  date: '2025-07-25'
                  type: journal_entry
                  transactions:
                    - entity: 54
                      entity_name: Top Level
                      account: '180564'
                      account_name: 1000 - Cash and Cash Equivalents
                      debit_amount_native: 9876.54
                      debit_amount_book: 9876.54
                      debit_amount: 9876.54
                      bank_description: 'Example Inter-company Journal '
                      vendor: '34182'
                      vendor_name: ABC Bead Supply
                      department: '364'
                      department_name: Executive
                      tags:
                        - id: '8304'
                          name: North America
                          group: 669
                    - entity: 55
                      entity_name: Eliminations
                      account: '8855'
                      account_name: 1014 - JPMC Cash
                      credit_amount_native: 9876.54
                      credit_amount_book: 9876.54
                      credit_amount: 9876.54
                      bank_description: 'Example Inter-company Journal '
                    - entity: 54
                      entity_name: Top Level
                      tags: []
                      credit_amount_native: 9876.54
                      credit_amount_book: 9876.54
                      credit_amount: 9876.54
                      account: '14239'
                      account_name: 1900 - Intercompany Accounts Receivable
                      bank_description: 'Example Inter-company Journal '
                    - entity: 55
                      entity_name: Eliminations
                      tags: []
                      debit_amount_native: 9876.54
                      debit_amount_book: 9876.54
                      debit_amount: 9876.54
                      account: '14240'
                      account_name: 2020 - Intercompany Accounts Payable
                      bank_description: 'Example Inter-company Journal '
                  memo: 'Example Inter-company Journal '
                  currency: USD
                  reversal_date: '2025-08-01'
                  exchange_rates:
                    - entity: 54
                      entity_name: Top Level
                      originating_currency: USD
                      target_currency: USD
                      exchange_rate: 1
                    - entity: 55
                      entity_name: Eliminations
                      originating_currency: USD
                      target_currency: USD
                      exchange_rate: 1
                summary: Standard intercompany journal entry with multiple entities
                description: >-
                  Example of an intercompany journal entry transferring funds
                  between entities with automatic intercompany account
                  reconciliation
              CreateIntercompanyJournalEntryResponse:
                value:
                  id: 331
                  attachments: []
                  reversals:
                    - id: 332
                      order: '0004361'
                  order: '0004360'
                  type: journal_entry
                  journal_id: bf3fb423-12a9-47cb-9dca-18e6b9d8296b
                  memo: Example Inter-company Journal
                  currency: USD
                  created_automatically: false
                  date: '2025-07-25'
                  ref_number: null
                  created_at: 2025-07-25T03:45:59+0000
                  last_modified_at: 2025-07-25T03:45:59+0000
                  reversal_of: null
                  transactions:
                    - id: 24429466
                      entity_name: Top Level
                      entity_currency: USD
                      account_name: 1000 - Cash and Cash Equivalents
                      account_number: '1000'
                      vendor_name: ABC Bead Supply
                      department_name: Executive
                      parent_department_name: General and Administrative
                      parent_department: 108
                      tags:
                        - id: 8304
                          group_name: Region
                          parent_name: null
                          parent: null
                          name: North America
                          created_at: 2025-07-10T20:50:45+0000
                          last_modified_at: 2025-07-10T20:50:45+0000
                          group: 669
                      journal: 7491947
                      journal_order: '0004360'
                      journal_memo: Example Inter-company Journal
                      journal_type: journal_entry
                      intercompany_journal: 331
                      created_automatically: false
                      journal_attachments: []
                      journal_type_name: Journal Entry
                      invoice: null
                      bill: null
                      date_month: '07'
                      date_year: '2025'
                      balance_after_transaction: 9876.54
                      account: 180564
                      last_modified_by_name: Zack Moss
                      account_type: ASSET
                      files: []
                      file_names: []
                      amount: 9876.54
                      amount_native: 9876.54
                      amount_book: 9876.54
                      amortization_schedule: []
                      transaction_id: 393478d2-b523-4b42-bbd1-5952a7fd5eb1
                      debit_amount: 9876.54
                      credit_amount: null
                      debit_amount_book: 9876.54
                      credit_amount_book: null
                      debit_amount_native: 9876.54
                      credit_amount_native: null
                      currency: USD
                      exchange_rate: 1
                      exchange_rate_book: 1
                      posted_at: '2025-07-25'
                      merchant_name: null
                      bank_description: 'Example Inter-company Journal '
                      note: null
                      balance_before_transaction: null
                      created_at: 2025-07-25T03:45:59+0000
                      external_id: null
                      needs_review: false
                      last_modified_at: 2025-07-25T03:45:59+0000
                      draft_matches: null
                      entity: 54
                      parent_bank_transaction: null
                      vendor: 34182
                      department: 364
                      last_modified_by: 904
                    - id: 24429467
                      entity_name: Top Level
                      entity_currency: USD
                      account_name: 1900 - Intercompany Accounts Receivable
                      account_number: '1900'
                      tags: []
                      journal: 7491947
                      journal_order: '0004360'
                      journal_memo: Example Inter-company Journal
                      journal_type: journal_entry
                      intercompany_journal: 331
                      created_automatically: false
                      journal_attachments: []
                      journal_type_name: Journal Entry
                      invoice: null
                      bill: null
                      date_month: '07'
                      date_year: '2025'
                      balance_after_transaction: -9876.54
                      account: 14239
                      last_modified_by_name: Zack Moss
                      account_type: ASSET
                      files: []
                      file_names: []
                      amount: 9876.54
                      amount_native: 9876.54
                      amount_book: 9876.54
                      amortization_schedule: []
                      transaction_id: daeefb8c-b548-47dc-8546-cac1e3e745b3
                      debit_amount: null
                      credit_amount: 9876.54
                      debit_amount_book: null
                      credit_amount_book: 9876.54
                      debit_amount_native: null
                      credit_amount_native: 9876.54
                      currency: USD
                      exchange_rate: 1
                      exchange_rate_book: 1
                      posted_at: '2025-07-25'
                      merchant_name: null
                      bank_description: 'Example Inter-company Journal '
                      note: null
                      balance_before_transaction: null
                      created_at: 2025-07-25T03:45:59+0000
                      external_id: null
                      needs_review: false
                      last_modified_at: 2025-07-25T03:45:59+0000
                      draft_matches: null
                      entity: 54
                      parent_bank_transaction: null
                      vendor: null
                      department: null
                      last_modified_by: 904
                    - id: 24429470
                      entity_name: Eliminations
                      entity_currency: USD
                      account_name: 1014 - JPMC Cash
                      account_number: '1014'
                      tags: []
                      journal: 7491949
                      journal_order: '0004360'
                      journal_memo: Example Inter-company Journal
                      journal_type: journal_entry
                      intercompany_journal: 331
                      created_automatically: false
                      journal_attachments: []
                      journal_type_name: Journal Entry
                      invoice: null
                      bill: null
                      date_month: '07'
                      date_year: '2025'
                      balance_after_transaction: -9876.54
                      account: 8855
                      last_modified_by_name: Zack Moss
                      account_type: ASSET
                      parent_account_name: Cash and Cash Equivalents
                      files: []
                      file_names: []
                      amount: 9876.54
                      amount_native: 9876.54
                      amount_book: 9876.54
                      amortization_schedule: []
                      transaction_id: 058c8386-3a78-4477-97aa-2fe2427a982a
                      debit_amount: null
                      credit_amount: 9876.54
                      debit_amount_book: null
                      credit_amount_book: 9876.54
                      debit_amount_native: null
                      credit_amount_native: 9876.54
                      currency: USD
                      exchange_rate: 1
                      exchange_rate_book: 1
                      posted_at: '2025-07-25'
                      merchant_name: null
                      bank_description: 'Example Inter-company Journal '
                      note: null
                      balance_before_transaction: null
                      created_at: 2025-07-25T03:46:00+0000
                      external_id: null
                      needs_review: false
                      last_modified_at: 2025-07-25T03:46:00+0000
                      draft_matches: null
                      entity: 55
                      parent_bank_transaction: null
                      vendor: null
                      department: null
                      last_modified_by: 904
                    - id: 24429471
                      entity_name: Eliminations
                      entity_currency: USD
                      account_name: 2020 - Intercompany Accounts Payable
                      account_number: '2020'
                      tags: []
                      journal: 7491949
                      journal_order: '0004360'
                      journal_memo: Example Inter-company Journal
                      journal_type: journal_entry
                      intercompany_journal: 331
                      created_automatically: false
                      journal_attachments: []
                      journal_type_name: Journal Entry
                      invoice: null
                      bill: null
                      date_month: '07'
                      date_year: '2025'
                      balance_after_transaction: -9876.54
                      account: 14240
                      last_modified_by_name: Zack Moss
                      account_type: LIABILITY
                      files: []
                      file_names: []
                      amount: 9876.54
                      amount_native: 9876.54
                      amount_book: 9876.54
                      amortization_schedule: []
                      transaction_id: 04e16db2-5df1-4a7d-8d13-be0bad45ccdf
                      debit_amount: 9876.54
                      credit_amount: null
                      debit_amount_book: 9876.54
                      credit_amount_book: null
                      debit_amount_native: 9876.54
                      credit_amount_native: null
                      currency: USD
                      exchange_rate: 1
                      exchange_rate_book: 1
                      posted_at: '2025-07-25'
                      merchant_name: null
                      bank_description: 'Example Inter-company Journal '
                      note: null
                      balance_before_transaction: null
                      created_at: 2025-07-25T03:46:00+0000
                      external_id: null
                      needs_review: false
                      last_modified_at: 2025-07-25T03:46:00+0000
                      draft_matches: null
                      entity: 55
                      parent_bank_transaction: null
                      vendor: null
                      department: null
                      last_modified_by: 904
                  exchange_rates:
                    - entity: 54
                      entity_name: Top Level
                      originating_currency: USD
                      target_currency: USD
                      exchange_rate: 1
                    - entity: 55
                      entity_name: Eliminations
                      originating_currency: USD
                      target_currency: USD
                      exchange_rate: 1
                summary: >-
                  Response after successfully creating an intercompany journal
                  entry
                description: >-
                  Example response showing the created intercompany journal
                  entry with generated IDs, timestamps, and detailed transaction
                  information
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/IntercompanyJournalEntry'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/IntercompanyJournalEntry'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntercompanyJournalEntry'
              examples:
                CreateIntercompanyJournalEntryResponse:
                  value:
                    id: 331
                    attachments: []
                    reversals:
                      - id: 332
                        order: '0004361'
                    order: '0004360'
                    type: journal_entry
                    journal_id: bf3fb423-12a9-47cb-9dca-18e6b9d8296b
                    memo: Example Inter-company Journal
                    currency: USD
                    created_automatically: false
                    date: '2025-07-25'
                    ref_number: null
                    created_at: 2025-07-25T03:45:59+0000
                    last_modified_at: 2025-07-25T03:45:59+0000
                    reversal_of: null
                    transactions:
                      - id: 24429466
                        entity_name: Top Level
                        entity_currency: USD
                        account_name: 1000 - Cash and Cash Equivalents
                        account_number: '1000'
                        vendor_name: ABC Bead Supply
                        department_name: Executive
                        parent_department_name: General and Administrative
                        parent_department: 108
                        tags:
                          - id: 8304
                            group_name: Region
                            parent_name: null
                            parent: null
                            name: North America
                            created_at: 2025-07-10T20:50:45+0000
                            last_modified_at: 2025-07-10T20:50:45+0000
                            group: 669
                        journal: 7491947
                        journal_order: '0004360'
                        journal_memo: Example Inter-company Journal
                        journal_type: journal_entry
                        intercompany_journal: 331
                        created_automatically: false
                        journal_attachments: []
                        journal_type_name: Journal Entry
                        invoice: null
                        bill: null
                        date_month: '07'
                        date_year: '2025'
                        balance_after_transaction: 9876.54
                        account: 180564
                        last_modified_by_name: Zack Moss
                        account_type: ASSET
                        files: []
                        file_names: []
                        amount: 9876.54
                        amount_native: 9876.54
                        amount_book: 9876.54
                        amortization_schedule: []
                        transaction_id: 393478d2-b523-4b42-bbd1-5952a7fd5eb1
                        debit_amount: 9876.54
                        credit_amount: null
                        debit_amount_book: 9876.54
                        credit_amount_book: null
                        debit_amount_native: 9876.54
                        credit_amount_native: null
                        currency: USD
                        exchange_rate: 1
                        exchange_rate_book: 1
                        posted_at: '2025-07-25'
                        merchant_name: null
                        bank_description: 'Example Inter-company Journal '
                        note: null
                        balance_before_transaction: null
                        created_at: 2025-07-25T03:45:59+0000
                        external_id: null
                        needs_review: false
                        last_modified_at: 2025-07-25T03:45:59+0000
                        draft_matches: null
                        entity: 54
                        parent_bank_transaction: null
                        vendor: 34182
                        department: 364
                        last_modified_by: 904
                      - id: 24429467
                        entity_name: Top Level
                        entity_currency: USD
                        account_name: 1900 - Intercompany Accounts Receivable
                        account_number: '1900'
                        tags: []
                        journal: 7491947
                        journal_order: '0004360'
                        journal_memo: Example Inter-company Journal
                        journal_type: journal_entry
                        intercompany_journal: 331
                        created_automatically: false
                        journal_attachments: []
                        journal_type_name: Journal Entry
                        invoice: null
                        bill: null
                        date_month: '07'
                        date_year: '2025'
                        balance_after_transaction: -9876.54
                        account: 14239
                        last_modified_by_name: Zack Moss
                        account_type: ASSET
                        files: []
                        file_names: []
                        amount: 9876.54
                        amount_native: 9876.54
                        amount_book: 9876.54
                        amortization_schedule: []
                        transaction_id: daeefb8c-b548-47dc-8546-cac1e3e745b3
                        debit_amount: null
                        credit_amount: 9876.54
                        debit_amount_book: null
                        credit_amount_book: 9876.54
                        debit_amount_native: null
                        credit_amount_native: 9876.54
                        currency: USD
                        exchange_rate: 1
                        exchange_rate_book: 1
                        posted_at: '2025-07-25'
                        merchant_name: null
                        bank_description: 'Example Inter-company Journal '
                        note: null
                        balance_before_transaction: null
                        created_at: 2025-07-25T03:45:59+0000
                        external_id: null
                        needs_review: false
                        last_modified_at: 2025-07-25T03:45:59+0000
                        draft_matches: null
                        entity: 54
                        parent_bank_transaction: null
                        vendor: null
                        department: null
                        last_modified_by: 904
                      - id: 24429470
                        entity_name: Eliminations
                        entity_currency: USD
                        account_name: 1014 - JPMC Cash
                        account_number: '1014'
                        tags: []
                        journal: 7491949
                        journal_order: '0004360'
                        journal_memo: Example Inter-company Journal
                        journal_type: journal_entry
                        intercompany_journal: 331
                        created_automatically: false
                        journal_attachments: []
                        journal_type_name: Journal Entry
                        invoice: null
                        bill: null
                        date_month: '07'
                        date_year: '2025'
                        balance_after_transaction: -9876.54
                        account: 8855
                        last_modified_by_name: Zack Moss
                        account_type: ASSET
                        parent_account_name: Cash and Cash Equivalents
                        files: []
                        file_names: []
                        amount: 9876.54
                        amount_native: 9876.54
                        amount_book: 9876.54
                        amortization_schedule: []
                        transaction_id: 058c8386-3a78-4477-97aa-2fe2427a982a
                        debit_amount: null
                        credit_amount: 9876.54
                        debit_amount_book: null
                        credit_amount_book: 9876.54
                        debit_amount_native: null
                        credit_amount_native: 9876.54
                        currency: USD
                        exchange_rate: 1
                        exchange_rate_book: 1
                        posted_at: '2025-07-25'
                        merchant_name: null
                        bank_description: 'Example Inter-company Journal '
                        note: null
                        balance_before_transaction: null
                        created_at: 2025-07-25T03:46:00+0000
                        external_id: null
                        needs_review: false
                        last_modified_at: 2025-07-25T03:46:00+0000
                        draft_matches: null
                        entity: 55
                        parent_bank_transaction: null
                        vendor: null
                        department: null
                        last_modified_by: 904
                      - id: 24429471
                        entity_name: Eliminations
                        entity_currency: USD
                        account_name: 2020 - Intercompany Accounts Payable
                        account_number: '2020'
                        tags: []
                        journal: 7491949
                        journal_order: '0004360'
                        journal_memo: Example Inter-company Journal
                        journal_type: journal_entry
                        intercompany_journal: 331
                        created_automatically: false
                        journal_attachments: []
                        journal_type_name: Journal Entry
                        invoice: null
                        bill: null
                        date_month: '07'
                        date_year: '2025'
                        balance_after_transaction: -9876.54
                        account: 14240
                        last_modified_by_name: Zack Moss
                        account_type: LIABILITY
                        files: []
                        file_names: []
                        amount: 9876.54
                        amount_native: 9876.54
                        amount_book: 9876.54
                        amortization_schedule: []
                        transaction_id: 04e16db2-5df1-4a7d-8d13-be0bad45ccdf
                        debit_amount: 9876.54
                        credit_amount: null
                        debit_amount_book: 9876.54
                        credit_amount_book: null
                        debit_amount_native: 9876.54
                        credit_amount_native: null
                        currency: USD
                        exchange_rate: 1
                        exchange_rate_book: 1
                        posted_at: '2025-07-25'
                        merchant_name: null
                        bank_description: 'Example Inter-company Journal '
                        note: null
                        balance_before_transaction: null
                        created_at: 2025-07-25T03:46:00+0000
                        external_id: null
                        needs_review: false
                        last_modified_at: 2025-07-25T03:46:00+0000
                        draft_matches: null
                        entity: 55
                        parent_bank_transaction: null
                        vendor: null
                        department: null
                        last_modified_by: 904
                    exchange_rates:
                      - entity: 54
                        entity_name: Top Level
                        originating_currency: USD
                        target_currency: USD
                        exchange_rate: 1
                      - entity: 55
                        entity_name: Eliminations
                        originating_currency: USD
                        target_currency: USD
                        exchange_rate: 1
                  summary: >-
                    Response after successfully creating an intercompany journal
                    entry
                  description: >-
                    Example response showing the created intercompany journal
                    entry with generated IDs, timestamps, and detailed
                    transaction information
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    IntercompanyJournalEntry:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/ChartTransaction'
          readOnly: true
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/File'
          readOnly: true
        reversal_of_order:
          type: string
          readOnly: true
        reversals:
          type: array
          items:
            type: object
            additionalProperties: {}
          readOnly: true
        reversal_date:
          type: string
          format: date
          writeOnly: true
        order:
          type: string
        journals_to_delete:
          type: array
          items:
            type: integer
          writeOnly: true
        exchange_rates:
          writeOnly: true
        source:
          type: string
          nullable: true
        source_file:
          type: integer
          nullable: true
        close_task_id:
          type: string
        chat_uuid:
          type: string
          format: uuid
          writeOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        type:
          $ref: '#/components/schemas/TypeF19Enum'
        journal_id:
          type: string
          format: uuid
        memo:
          type: string
          nullable: true
          maxLength: 1024
        currency:
          type: string
          maxLength: 3
        created_automatically:
          type: boolean
        date:
          type: string
          format: date
        ref_number:
          type: string
          nullable: true
          maxLength: 100
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        reversal_of:
          type: integer
          nullable: true
        entities:
          type: array
          items:
            type: integer
          description: >-
            Entities involved in this intercompany journal entry. Used for
            consolidation filtering.
      required:
        - attachments
        - created_at
        - customer
        - deleted_at
        - id
        - is_deleted
        - last_modified_at
        - reversal_of_order
        - reversals
        - transactions
    ChartTransaction:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        entity_name:
          type: string
          readOnly: true
        entity_currency:
          type: string
          readOnly: true
        account_name:
          type: string
          nullable: true
          description: Combines account number and name in the format "number - name"
          readOnly: true
        account_number:
          type: string
          readOnly: true
        vendor_name:
          type: string
          readOnly: true
        vendor_id:
          type: string
          readOnly: true
        department_name:
          type: string
          readOnly: true
        department_code:
          type: string
          readOnly: true
        parent_department_name:
          type: string
          readOnly: true
        parent_department:
          type: integer
          readOnly: true
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TransactionTag'
          readOnly: true
        journal:
          type: integer
          readOnly: true
        journal_order:
          type: string
          readOnly: true
        journal_memo:
          type: string
          readOnly: true
        journal_type:
          type: string
          readOnly: true
        intercompany_journal:
          type: integer
          readOnly: true
        created_automatically:
          type: boolean
          readOnly: true
        journal_attachments:
          type: array
          items:
            $ref: '#/components/schemas/File'
          readOnly: true
        journal_type_name:
          type: string
          readOnly: true
          nullable: true
        invoice:
          type: string
          readOnly: true
          nullable: true
        bill:
          type: string
          readOnly: true
          nullable: true
        date_month:
          type: string
          readOnly: true
          nullable: true
        date_year:
          type: string
          readOnly: true
          nullable: true
        balance_after_transaction:
          type: number
          format: double
          readOnly: true
        bank_account:
          type: string
          readOnly: true
        bank_account_name:
          type: string
          readOnly: true
        account:
          type: integer
          nullable: true
        last_modified_by_name:
          type: string
          readOnly: true
        account_type:
          type: string
          readOnly: true
        account_subtype:
          type: string
          readOnly: true
        parent_account_name:
          type: string
          readOnly: true
        files:
          type: string
          readOnly: true
        invoice_id:
          type: integer
          nullable: true
          readOnly: true
        invoice_number:
          type: string
          readOnly: true
          nullable: true
        bill_id:
          type: integer
          nullable: true
          readOnly: true
        bill_number:
          type: string
          readOnly: true
          nullable: true
        file_names:
          type: string
          readOnly: true
        has_matches:
          type: boolean
          readOnly: true
        has_ai:
          type: boolean
          readOnly: true
        has_rules:
          type: boolean
          readOnly: true
        has_merges:
          type: boolean
          readOnly: true
        has_fixed_asset_rule_matches:
          type: boolean
          readOnly: true
        primary_action_type:
          type: string
          readOnly: true
        suggested_account:
          type: integer
          nullable: true
          readOnly: true
        suggested_account_name:
          type: string
          readOnly: true
          nullable: true
        suggested_account_number:
          type: string
          readOnly: true
          nullable: true
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        amount_native:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        amount_book:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        amortization_schedule:
          type: array
          items:
            $ref: '#/components/schemas/AmortizationSchedule'
          readOnly: true
        linked_amortizations:
          type: array
          items:
            type: object
            additionalProperties: {}
          readOnly: true
        created_fixed_assets:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: >-
            Return all fixed assets this transaction is linked to — via the
            legacy

            `purchase_transaction` FK (reverse: `created_fixed_assets`) AND the

            new `purchase_transactions` M2M (reverse: `linked_fixed_assets`).

            Dual-write keeps the FK target in the M2M, but using both covers any

            pre-backfill drift and surfaces non-primary M2M-only links (e.g. the

            secondary txns in a multi-txn fixed asset, or a split-resized txn).
          readOnly: true
        reconciliation_report:
          type: string
          readOnly: true
        opposing_account_name:
          type: string
          readOnly: true
        opposing_account_number:
          type: string
          readOnly: true
        tax_rate:
          type: integer
          writeOnly: true
          nullable: true
        apply_both_sides:
          type: boolean
          writeOnly: true
          default: false
        transaction_match_id:
          type: integer
          writeOnly: true
          nullable: true
        transaction_id:
          type: string
          format: uuid
          readOnly: true
        debit_amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        credit_amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        debit_amount_book:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        credit_amount_book:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        debit_amount_native:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        credit_amount_native:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        currency:
          type: string
          maxLength: 3
        exchange_rate:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        exchange_rate_book:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        posted_at:
          type: string
          format: date
          nullable: true
          title: Posted Date
        merchant_name:
          type: string
          nullable: true
        bank_description:
          type: string
          nullable: true
        tag_ids:
          type: array
          items:
            type: integer
            maximum: 9223372036854776000
            minimum: -9223372036854776000
            format: int64
        tag_group_ids:
          type: array
          items:
            type: integer
            maximum: 9223372036854776000
            minimum: -9223372036854776000
            format: int64
        note:
          type: string
          nullable: true
        receipt_url:
          type: string
          format: uri
          nullable: true
          maxLength: 512
        balance_before_transaction:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        external_id:
          type: string
          nullable: true
        needs_review:
          type: boolean
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        draft_matches:
          nullable: true
        last_lam_prediction_attempt:
          type: string
          format: date-time
          nullable: true
        customer:
          type: integer
          readOnly: true
        entity:
          type: integer
        parent_bank_transaction:
          type: integer
          nullable: true
        vendor:
          type: integer
          nullable: true
        department:
          type: integer
          nullable: true
        last_modified_by:
          type: integer
          nullable: true
      required:
        - account_name
        - account_number
        - account_subtype
        - account_type
        - amortization_schedule
        - amount
        - amount_book
        - amount_native
        - balance_after_transaction
        - balance_before_transaction
        - bank_account
        - bank_account_name
        - bill
        - bill_id
        - bill_number
        - created_at
        - created_automatically
        - created_fixed_assets
        - customer
        - date_month
        - date_year
        - deleted_at
        - department_code
        - department_name
        - entity
        - entity_currency
        - entity_name
        - file_names
        - files
        - has_ai
        - has_fixed_asset_rule_matches
        - has_matches
        - has_merges
        - has_rules
        - id
        - intercompany_journal
        - invoice
        - invoice_id
        - invoice_number
        - is_deleted
        - journal
        - journal_attachments
        - journal_memo
        - journal_order
        - journal_type
        - journal_type_name
        - last_modified_at
        - last_modified_by_name
        - linked_amortizations
        - opposing_account_name
        - opposing_account_number
        - parent_account_name
        - parent_department
        - parent_department_name
        - primary_action_type
        - reconciliation_report
        - suggested_account
        - suggested_account_name
        - suggested_account_number
        - tags
        - transaction_id
        - vendor_id
        - vendor_name
    File:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        customer:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        created_by:
          type: integer
          nullable: true
          readOnly: true
        created_by_name:
          type: string
          readOnly: true
        created_by_email:
          type: string
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        name:
          type: string
        url:
          type: string
          readOnly: true
        s3_content_type:
          type: string
          nullable: true
        s3_content_length:
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        s3_path:
          type: string
        object_id:
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        app:
          type: string
          readOnly: true
        model:
          type: string
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - app
        - created_at
        - created_by
        - created_by_email
        - created_by_name
        - customer
        - deleted_at
        - id
        - is_deleted
        - last_modified_at
        - model
        - name
        - s3_path
        - url
    TypeF19Enum:
      enum:
        - bill
        - bill_payment
        - bill_prepayment
        - check
        - credit_card
        - credit_memo
        - credit_memo_payment
        - debit_memo
        - debit_memo_payment
        - deposit
        - expense
        - invoice
        - intercompany_journal
        - invoice_payment
        - journal_entry
        - lease
        - payment
        - receive_payment
        - refund
        - revenue_recognition
        - sales_receipt
        - transfer
        - vendor_credit
        - void_bill
        - void_bill_payment
        - void_invoice_payment
        - void_credit_memo
        - void_credit_memo_payment
        - void_debit_memo_payment
        - void_invoice
        - elimination
        - revaluation
        - asset_reclassification
      type: string
      description: |-
        * `bill` - Bill
        * `bill_payment` - Bill Payment
        * `bill_prepayment` - Bill Prepayment
        * `check` - Check
        * `credit_card` - Credit Card
        * `credit_memo` - Credit Memo
        * `credit_memo_payment` - Credit Memo Payment
        * `debit_memo` - Debit Memo
        * `debit_memo_payment` - Debit Memo Payment
        * `deposit` - Deposit
        * `expense` - Expense
        * `invoice` - Invoice
        * `intercompany_journal` - Intercompany Journal
        * `invoice_payment` - Invoice Payment
        * `journal_entry` - Journal Entry
        * `lease` - Lease
        * `payment` - Payment
        * `receive_payment` - Receive Payment
        * `refund` - Refund
        * `revenue_recognition` - Revenue Recognition
        * `sales_receipt` - Sales Receipt
        * `transfer` - Transfer
        * `vendor_credit` - Vendor Credit
        * `void_bill` - Void Bill
        * `void_bill_payment` - Void Bill Payment
        * `void_invoice_payment` - Void Invoice Payment
        * `void_credit_memo` - Void Credit Memo
        * `void_credit_memo_payment` - Void Credit Memo Payment
        * `void_debit_memo_payment` - Void Debit Memo Payment
        * `void_invoice` - Void Invoice
        * `elimination` - Elimination
        * `revaluation` - Revaluation
        * `asset_reclassification` - Asset Reclassification
    TransactionTag:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        group_name:
          type: string
          readOnly: true
        parent_name:
          type: string
          readOnly: true
          nullable: true
        parent:
          type: integer
          nullable: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        is_active:
          type: boolean
          default: true
        name:
          type: string
          nullable: true
          maxLength: 250
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        group:
          type: integer
          nullable: true
      required:
        - created_at
        - customer
        - deleted_at
        - group_name
        - id
        - is_deleted
        - last_modified_at
        - name
        - parent_name
    AmortizationSchedule:
      type: object
      properties:
        id:
          type: integer
        amortization:
          type: integer
          writeOnly: true
        accounting_amortization:
          type: integer
          writeOnly: true
        journal_entry_order:
          type: string
          readOnly: true
        date:
          type: string
          format: date
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        posted:
          type: boolean
        customer:
          type: integer
          readOnly: true
        transaction:
          type: integer
          nullable: true
        bill_line:
          type: integer
          nullable: true
        journal_entry:
          type: integer
          nullable: true
      required:
        - amount
        - customer
        - date
        - journal_entry_order
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````